Subject: bug#22434: 25.0.50; recentf pastes X clipboard upon opening

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 May 2016 19:11:29 +0300

> From: Benjamin Riefenstahl <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 22 May 2016 22:02:10 +0200
> 
> Benjamin Riefenstahl writes:
> > I also see now that bug #23288 had a solution, but it does not work for
> > me in this case.  It depends on mouse-on-link-p to return a string or a
> > vector, but what I get at this point is just t.  Inside mouse-on-link-p
> > the first branch of the cond is taken, because the follow-link property
> > is 'mouse-face.
> 
> I can make it work with the patch from #23288, when I also add this
> change to trigger the new code:

Thanks, but we'd prefer to have a solution for this bug that doesn't
require the #23288 patch, so we could fix recentf on the release
branch.  Could you perhaps come up with such a patch?